diff -urN ifmail-2.15dev5/ifcico/respfreq.c ifmail-2.15dev5.gcc33x/ifcico/respfreq.c
--- ifmail-2.15dev5/ifcico/respfreq.c	1999-02-09 12:27:22.000000000 +0200
+++ ifmail-2.15dev5.gcc33x/ifcico/respfreq.c	2004-06-22 13:45:25.000000000 +0300
@@ -17,7 +17,11 @@
 #include "lutil.h"
 #include "config.h"
 #ifndef NOFREQREPORT
+#ifdef HAS_STDARG_H
+#include <stdarg.h>
+#else
 #include <varargs.h>
+#endif
 #include "ftnmsg.h"
 #endif
 #include "version.h"
@@ -43,7 +47,11 @@
 
 #ifndef NOFREQREPORT
 static void attach_report(file_list**);
+#ifdef HAS_STDARG_H
+static void add_report(char *fmt, ...);
+#else
 static void add_report();
+#endif
 static char *report_text=NULL;
 static unsigned long report_total=0L;
 #endif
@@ -519,15 +527,25 @@
 	report_text=NULL;
 }
 
+#ifdef HAS_STDARG_H
+static void add_report(char *fmt, ...)
+{
+	va_list args;
+#else
 static void add_report(va_alist)
 va_dcl
 {
 	va_list args;
 	char *fmt;
+#endif
 	char buf[1024];
 
+#ifdef HAS_STDARG_H
+	va_start(args, fmt);
+#else
 	va_start(args);
 	fmt=va_arg(args,char*);
+#endif
 
 	if (report_text == NULL)
 	{
@@ -548,6 +566,7 @@
 	vsprintf(buf,fmt,args);
 	strcat(buf,"\r\n");
 	report_text=xstrcat(report_text,buf);
+	va_end(args);
 }
 
 #endif
diff -urN ifmail-2.15dev5/iflib/lutil.c ifmail-2.15dev5.gcc33x/iflib/lutil.c
--- ifmail-2.15dev5/iflib/lutil.c	1999-02-09 12:27:21.000000000 +0200
+++ ifmail-2.15dev5.gcc33x/iflib/lutil.c	2004-06-22 13:45:25.000000000 +0300
@@ -4,7 +4,11 @@
 #include <stdio.h>
 #include <sys/stat.h>
 #include <string.h>
+#ifdef HAS_STDARG_H
+#include <stdarg.h>
+#else
 #include <varargs.h>
+#endif
 #include <errno.h>
 #include <time.h>
 #ifdef HAS_SYSLOG
@@ -126,17 +130,27 @@
 		syslog(level,"\terrno=%d : %s",\
                         errno,strerror(errno));
 
+#ifdef HAS_STDARG_H
+void loginf(char *fmt, ...)
+{
+	va_list	args;
+#else
 void loginf(va_alist)
 va_dcl
 {
 	va_list	args;
 	char	*fmt;
+#endif
 #ifndef HAS_SYSLOG
 	int	oldmask;
 #endif
 
+#ifdef HAS_STDARG_H
+	va_start(args, fmt);
+#else
 	va_start(args);
 	fmt=va_arg(args, char*);
+#endif
 	if (verbose)
 	{
 		PRINT_DEBUG(fmt,args);
@@ -166,17 +180,27 @@
 	return;
 }
 
+#ifdef HAS_STDARG_H
+void logerr(char *fmt, ...)
+{
+	va_list	args;
+#else
 void logerr(va_alist)
 va_dcl
 {
 	va_list	args;
 	char	*fmt;
+#endif
 #ifndef HAS_SYSLOG
 	int	oldmask;
 #endif
 
+#ifdef HAS_STDARG_H
+	va_start(args, fmt);
+#else
 	va_start(args);
 	fmt=va_arg(args, char*);
+#endif
 	if (verbose)
 	{
 		PRINT_DEBUG(fmt,args);
@@ -206,16 +230,26 @@
 	return;
 }
 
+#ifdef HAS_STDARG_H
+void debug(unsigned long level, char *fmt, ...)
+{
+	va_list	args;
+#else
 void debug(va_alist)
 va_dcl
 {
 	va_list	args;
 	unsigned long	level;
 	char	*fmt;
+#endif
 
+#ifdef HAS_STDARG_H
+	va_start(args, fmt);
+#else
 	va_start(args);
 	level=va_arg(args, unsigned long);
 	fmt=va_arg(args, char*);
+#endif
 
 	if ((verbose && (level == 0)) || (verbose & (1 << (level-1))))
 	{
